## oslo-config 1.1.0

=== debian/changelog ===
oslo-config (1:1.1.0-0ubuntu1) raring; urgency=low

  * New upstream final release.

 -- James Page <james.page@ubuntu.com>  Wed, 13 Mar 2013 11:01:19 +0000

oslo-config (1:1.1.0~b1-0ubuntu4) raring; urgency=low

  * Fix Replaces/Breaks to specify correct version to resolve upgrade failure
    (file overwrites).

 -- Iain Lane <iain.lane@canonical.com>  Thu, 07 Mar 2013 10:14:31 +0000

oslo-config (1:1.1.0~b1-0ubuntu3) raring; urgency=low

  * debian/rules: Fixes another typo. 

 -- Chuck Short <zulcss@ubuntu.com>  Wed, 06 Mar 2013 10:47:44 -0600

oslo-config (1:1.1.0~b1-0ubuntu2) raring; urgency=low

  * debian/rules: Fixes ftbfs. 

 -- Chuck Short <zulcss@ubuntu.com>  Wed, 06 Mar 2013 10:37:11 -0600

oslo-config (1:1.1.0~b1-0ubuntu1) raring; urgency=low

  * New upstream release. 
  * debian/control, debian/rules: Rename python-oslo-config to 
    python-oslo.config.
  * debian/watch: Update to reflect new naming scheme.

 -- Chuck Short <zulcss@ubuntu.com>  Wed, 06 Mar 2013 08:40:20 -0600

oslo-config (2013.1~b5-0ubuntu1) raring; urgency=low

  * New upstream release. 

 -- Chuck Short <zulcss@ubuntu.com>  Mon, 04 Mar 2013 08:26:45 -0600

oslo-config (2013.1~b4-0ubuntu1) raring; urgency=low

  * New upstream release.

 -- Chuck Short <zulcss@ubuntu.com>  Fri, 01 Mar 2013 07:49:10 -0600

oslo-config (2013.1~b3-0ubuntu1) raring; urgency=low

  [ Chuck Short ]
  * Initial release.

  [ James Page ]
  * d/control: Enriched package description, renamed binary package
    oslo-config -> python-oslo-config, made Architecture: all.
  * d/watch: Mangle upstream version number to ensure package versioning
    works correctly for pre-release versions of oslo-config.

 -- Chuck Short <zulcss@ubuntu.com>  Sun, 17 Feb 2013 10:29:06 -0600

=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

PYTHONS:=$(shell pyversions -vr)

%:
	dh $@  --with python2

override_dh_auto_build:
	set -e && for pyvers in $(PYTHONS); do \
		python$$pyvers setup.py build; \
	done

override_dh_auto_install:
	set -e && for pyvers in $(PYTHONS); do \
		python$$pyvers setup.py install --install-layout=deb \
			--root $(CURDIR)/debian/python-oslo.config; \
	done

override_dh_auto_test:
	nosetests

get-orig-source:
	uscan --verbose --rename --destdir=../build-area

=== debian/watch ===
version=3
opts="uversionmangle=s/([a-zA-Z])/~$1/" \
 http://tarballs.openstack.org/oslo-config/ oslo.config-(\d.*).tar.gz

## oslo-config 1.2.1

=== requirements.txt ===
argparse
six

=== debian/changelog ===
oslo-config (1:1.2.1-0ubuntu2) trusty; urgency=medium

  * Rebuild to drop files installed into /usr/share/pyshared.

 -- Matthias Klose <doko@ubuntu.com>  Sun, 23 Feb 2014 13:49:29 +0000

oslo-config (1:1.2.1-0ubuntu1) saucy; urgency=low

  * New upstream release (LP: #1232062).
  * Bumped python-fixtures, testrepository, python-testscenarios,
    and python-testtools.

 -- Chuck Short <zulcss@ubuntu.com>  Fri, 27 Sep 2013 09:34:18 -0400

oslo-config (1:1.2.0a3-1ubuntu2) saucy; urgency=low

  * d/control: Drop BD on pep8 as its not actually required. 

 -- James Page <james.page@ubuntu.com>  Fri, 30 Aug 2013 14:16:25 +0100

oslo-config (1:1.2.0a3-1ubuntu1) saucy; urgency=low

  * New upstream release. 

 -- Chuck Short <zulcss@ubuntu.com>  Tue, 16 Jul 2013 19:23:53 -0400

oslo-config (1:1.2.0a2-1ubuntu1) saucy; urgency=low

  * New upstream release.
  * debian/control: Add python-pbr, python-testscenarios, python-d2to1,
    python-six, testrepository as build depends.

 -- Chuck Short <zulcss@ubuntu.com>  Mon, 27 May 2013 12:11:42 -0500

oslo-config (1:1.1.0-1ubuntu1) saucy; urgency=low

  * d/control: Drop BD on python-nosexcover as its not in main. 

 -- James Page <james.page@ubuntu.com>  Fri, 17 May 2013 17:04:35 +0100

oslo-config (1:1.1.0-1) unstable; urgency=low

  * New upstream version.
  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Sun, 12 May 2013 13:46:20 +0000

oslo-config (1.1.0b1-1) experimental; urgency=low

  * Initial release (Closes: #701523).

 -- Thomas Goirand <zigo@debian.org>  Tue, 09 Oct 2012 11:55:15 +0000

=== debian/control ===
Source: oslo-config
Section: python
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: PKG OpenStack <openstack-devel@lists.alioth.debian.org>
Uploaders: Loic Dachary (OuoU) <loic@debian.org>,
           Julien Danjou <acid@debian.org>,
           Thomas Goirand <zigo@debian.org>,
           Ghe Rivero <ghe.rivero@stackops.com>,
           Mehdi Abaakouk <sileht@sileht.net>
Build-Depends: debhelper (>= 9), python-setuptools, python-all (>= 2.6.6-3~), openstack-pkg-tools
Build-Depends-Indep: python-argparse,
 python-coverage,
 python-d2to1,
 python-fixtures (>= 0.3.14),
 python-mox (>= 0.5.3),
 python-testtools (>= 0.9.32),
 python-testscenarios (>= 0.4),
 python-pbr,
 python-six,
 python-sphinx,
 testrepository (>= 0.0.17)
Standards-Version: 3.9.4
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=openstack/oslo.git
Vcs-Git: git://anonscm.debian.org/openstack/oslo.git
Homepage: https://github.com/openstack/oslo-incubator

Package: python-oslo.config
Architecture: all
Pre-Depends: dpkg (>= 1.15.6~)
Depends: ${python:Depends}, ${misc:Depends},
 python-argparse
Provides: python-oslo-config
Description: Common code for Openstack Projects (configuration API)
 The OpenStack Oslo project provides Python libraries containing
 instructure code shared by OpenStack projects.
 .
 The OpenStack Oslo Configuration API supports parsing command line
 arguments and .ini style configuration files.

=== debian/rules ===
#!/usr/bin/make -f

#export DH_VERBOSE=1

include /usr/share/openstack-pkg-tools/pkgos.make

export OSLO_PACKAGE_VERSION=$(VERSION)

%:
	dh $@  --with python2

override_dh_auto_test:
	testr init && testr run

=== debian/watch ===
version=3
https://github.com/openstack/oslo-config/tags .*/(\d[\d\.]+)\.tar\.gz

## oslo-config 1.3.0

=== requirements.txt ===
argparse
six>=1.5.2

=== debian/changelog ===
oslo-config (1:1.3.0-2) unstable; urgency=medium

  * Do not run unit tests using python 2.6.

 -- Thomas Goirand <zigo@debian.org>  Fri, 02 May 2014 15:33:56 +0000

oslo-config (1:1.3.0-1) unstable; urgency=medium

  * New upstream release.
  * Added Python3 support.
  * Fixed long description typo (Closes: #745291).
  * Added UPSTREAM_GIT in debian/rules.
  * Added a -doc package.
  * Added Fix_test_version_on_Python_3.4.patch
  * Added extend-diff-ignore = "^[^/]*[.]egg-info/" to debian/source/options.
  * Bumped Standards-Version: to 3.9.5.
  * Cleans correctly to allow double builds.

 -- Thomas Goirand <zigo@debian.org>  Fri, 02 May 2014 15:13:59 +0000

oslo-config (1:1.3.0~a0-2) unstable; urgency=medium

  * New upstream release.
  * Added --testr-args='--subunit  ' when calling testr.

 -- Thomas Goirand <zigo@debian.org>  Sun, 09 Mar 2014 14:37:36 +0800

oslo-config (1:1.2.0a4-2) unstable; urgency=low

  * Missing build-depends: python-d2to1.

 -- Thomas Goirand <zigo@debian.org>  Wed, 11 Sep 2013 10:18:29 +0000

oslo-config (1:1.2.0a4-1) unstable; urgency=low

  * New upstream release.
  * Fixed the VCS fields.
  * Added build-depends: python-pbr, python-six & testrepository and fixed the
    start of unit tests using testrepository instead of nosetests.

 -- Thomas Goirand <zigo@debian.org>  Sun, 01 Sep 2013 21:35:44 +0800

oslo-config (1:1.1.0-3) unstable; urgency=low

  * Ran wrap-and-sort.
  * Drops python-nosexcover from build-dependencies.

 -- Thomas Goirand <zigo@debian.org>  Fri, 12 Jul 2013 13:35:02 +0800

=== debian/control ===
Source: oslo-config
Section: python
Priority: optional
Maintainer: PKG OpenStack <openstack-devel@lists.alioth.debian.org>
Uploaders: Julien Danjou <acid@debian.org>,
           Thomas Goirand <zigo@debian.org>,
           Ghe Rivero <ghe.rivero@stackops.com>,
           Mehdi Abaakouk <sileht@sileht.net>
Build-Depends: debhelper (>= 9),
               openstack-pkg-tools,
               python-all (>= 2.6.6-3~),
               python-pbr,
               python-setuptools,
               python3-all (>= 3.2),
               python3-pbr,
               python3-setuptools
Build-Depends-Indep: python-coverage (>= 3.6),
                     python-fixtures (>= 0.3.14),
                     python-hacking (>= 0.8.0),
                     python-mimeparse,
                     python-mock (>= 1.0),
                     python-oslosphinx,
                     python-oslotest,
                     python-six (>= 1.5.2),
                     python-sphinx,
                     python-subunit (>= 0.0.18),
                     python-testscenarios (>= 0.4),
                     python-testtools (>= 0.9.34),
                     python3-mimeparse,
                     python3-mock (>= 1.0),
                     python3-oslotest,
                     python3-six (>= 1.5.2),
                     python3-subunit (>= 0.0.18),
                     python3-testscenarios (>= 0.4),
                     python3-testtools (>= 0.9.34),
                     subunit (>= 0.0.18),
                     testrepository (>= 0.0.18)
Standards-Version: 3.9.5
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=openstack/oslo-config.git
Vcs-Git: git://anonscm.debian.org/openstack/oslo-config.git
Homepage: https://github.com/openstack/oslo-incubator

Package: python-oslo.config
Architecture: all
Pre-Depends: dpkg (>= 1.15.6~)
Depends: python-six (>= 1.5.2), ${misc:Depends}, ${python:Depends}
Provides: python-oslo-config
Description: Common code for Openstack Projects (configuration API) - Python 2.x
 The OpenStack Oslo project provides Python libraries containing
 infrastructure code shared by OpenStack projects.
 .
 The OpenStack Oslo Configuration API supports parsing command line
 arguments and .ini style configuration files.
 .
 This package provides the Python 2.x module.

Package: python3-oslo.config
Architecture: all
Pre-Depends: dpkg (>= 1.15.6~)
Depends: python3-six (>= 1.5.2), ${misc:Depends}, ${python3:Depends}
Description: Common code for Openstack Projects (configuration API) - Python 3.x
 The OpenStack Oslo project provides Python libraries containing
 infrastructure code shared by OpenStack projects.
 .
 The OpenStack Oslo Configuration API supports parsing command line
 arguments and .ini style configuration files.
 .
 This package provides the Python 3.x module.

Package: python-oslo.config-doc
Section: doc
Architecture: all
Pre-Depends: dpkg (>= 1.15.6~)
Depends: ${sphinxdoc:Depends}, ${misc:Depends}
Provides: python-oslo-config
Description: Common code for Openstack Projects (configuration API) - doc
 The OpenStack Oslo project provides Python libraries containing
 infrastructure code shared by OpenStack projects.
 .
 The OpenStack Oslo Configuration API supports parsing command line
 arguments and .ini style configuration files.
 .
 This package provides the documentation.

=== debian/rules ===
#!/usr/bin/make -f

PYTHONS:=$(shell pyversions -vr)
PYTHON3S:=$(shell py3versions -vr)

UPSTREAM_GIT = git://github.com/openstack/oslo.config.git

include /usr/share/openstack-pkg-tools/pkgos.make
export OSLO_PACKAGE_VERSION=$(VERSION)

%:
	dh $@ --buildsystem=python_distutils --with python2,python3,sphinxdoc

override_dh_auto_install:
	set -e && for pyvers in $(PYTHONS); do \
		python$$pyvers setup.py install --install-layout=deb \
			--root $(CURDIR)/debian/python-oslo.config; \
	done
	set -e && for pyvers in $(PYTHON3S); do \
		python$$pyvers setup.py install --install-layout=deb \
			--root $(CURDIR)/debian/python3-oslo.config; \
	done

override_dh_auto_test:
ifeq (,$(findstring nocheck, $(DEB_BUILD_OPTIONS)))
	set -e && set -x && \
	for i in 2.7 $(PYTHON3S) ; do \
		echo "===> Testing for python$$i" ; \
		rm -rf .testrepository ; \
		testr init ; \
		TEMP_REZ=`mktemp -t` && \
		PYTHON=python$$i PYTHONPATH=$(CURDIR) testr run --subunit | tee $$TEMP_REZ | subunit2pyunit ; \
		cat $$TEMP_REZ | subunit-filter -s --no-passthrough | subunit-stats ; \
		rm -f $$TEMP_REZ ; \
		testr slowest ; \
	done
endif

override_dh_sphinxdoc:
ifeq (,$(findstring nodocs, $(DEB_BUILD_OPTIONS)))
	sphinx-build -b html doc/source $(CURDIR)/debian/python-oslo.config-doc/usr/share/doc/python-oslo.config-doc/html
	dh_sphinxdoc -O--buildsystem=python_distutils
endif

override_dh_clean:
	dh_clean -O--buildsystem=python_distutils
	rm -rf .testrepository build

## oslo-config 1.4.0.0

=== requirements.txt ===
# The order of packages is significant, because pip processes them in the order
# of appearance. Changing the order has an impact on the overall integration
# process, which may cause wedges in the gate later.

argparse
netaddr>=0.7.12
six>=1.7.0
stevedore>=0.14

=== debian/changelog ===
oslo-config (1:1.4.0.0-0ubuntu1~cloud0) trusty-juno; urgency=medium

  * New upstream release for the Ubuntu Cloud Archive.

 -- Openstack Ubuntu Testing Bot <openstack-testing-bot@ubuntu.com>  Thu, 02 Oct 2014 03:06:35 -0400

oslo-config (1:1.4.0.0-0ubuntu1) utopic; urgency=medium

  * New upstream final release (1.4.0 uploaded as 1.4.0.0 due to pre-release
    versioning), resolving internal version check issues in glance.

 -- James Page <james.page@ubuntu.com>  Wed, 01 Oct 2014 14:03:23 +0100

oslo-config (1:1.4.0.0~a5-0ubuntu1) utopic; urgency=medium

  * New upstream milestone release for OpenStack Juno.
  * d/watch: Update upstream watch location.

 -- James Page <james.page@ubuntu.com>  Fri, 26 Sep 2014 17:38:08 +0100

oslo-config (1:1.4.0.0~a4-0ubuntu2) utopic; urgency=medium

  * d/control: Specify python{3}-netaddr >= 0.7.12 (LP: #1369441),
    wrap-and-sort. 

 -- James Page <james.page@ubuntu.com>  Mon, 15 Sep 2014 09:09:29 +0100

oslo-config (1:1.4.0.0~a4-0ubuntu1) utopic; urgency=medium

  * New upstream version.
  * debian/pydist3-overrides: Removed netaddr and stevedore.
  * Added update-alternative for the oslo-config-generator binary.

 -- Chuck Short <zulcss@ubuntu.com>  Tue, 09 Sep 2014 10:51:29 -0400

oslo-config (1:1.4.0.0~a3-0ubuntu4) utopic; urgency=medium

  * debian/pydist3-overrides: Add argparse, stevedore, netaddr.

 -- Chuck Short <zulcss@ubuntu.com>  Tue, 26 Aug 2014 15:18:30 -0400

oslo-config (1:1.4.0.0~a3-0ubuntu3) utopic; urgency=medium

  * Resync with debian. 

 -- Chuck Short <zulcss@ubuntu.com>  Mon, 25 Aug 2014 14:17:10 -0400

oslo-config (1:1.4.0.0~a3-0ubuntu2) utopic; urgency=medium

  * debian/control: Add python-stevedore. 

 -- Chuck Short <zulcss@ubuntu.com>  Mon, 25 Aug 2014 10:21:04 -0400

oslo-config (1:1.4.0.0~a3-0ubuntu1) utopic; urgency=medium

  * New upstream release.
  * debian/control: Add python-mock and python-netaddr

 -- Chuck Short <zulcss@ubuntu.com>  Mon, 25 Aug 2014 09:48:47 -0400

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: oslo-config
 Section: python
 Priority: optional
-Maintainer: PKG OpenStack <openstack-devel@lists.alioth.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: PKG OpenStack <openstack-devel@lists.alioth.debian.org>
 Uploaders: Julien Danjou <acid@debian.org>,
            Thomas Goirand <zigo@debian.org>,
            Ghe Rivero <ghe.rivero@stackops.com>,
@@ -19,17 +20,21 @@
                      python-hacking (>= 0.8.0),
                      python-mimeparse,
                      python-mock (>= 1.0),
+                     python-netaddr (>= 0.7.12),
                      python-oslosphinx,
                      python-oslotest,
                      python-six (>= 1.5.2),
                      python-sphinx,
+                     python-stevedore,
                      python-subunit (>= 0.0.18),
                      python-testscenarios (>= 0.4),
                      python-testtools (>= 0.9.34),
                      python3-mimeparse,
                      python3-mock (>= 1.0),
+                     python3-netaddr (>= 0.7.12),
                      python3-oslotest,
                      python3-six (>= 1.5.2),
+                     python3-stevedore,
                      python3-subunit (>= 0.0.18),
                      python3-testscenarios (>= 0.4),
                      python3-testtools (>= 0.9.34),
@@ -43,7 +48,10 @@
 Package: python-oslo.config
 Architecture: all
 Pre-Depends: dpkg (>= 1.15.6~)
-Depends: python-six (>= 1.5.2), ${misc:Depends}, ${python:Depends}
+Depends: python-netaddr (>= 0.7.12),
+         python-six (>= 1.5.2),
+         ${misc:Depends},
+         ${python:Depends}
 Provides: python-oslo-config
 Description: Common code for Openstack Projects (configuration API) - Python 2.x
  The OpenStack Oslo project provides Python libraries containing
@@ -57,7 +65,10 @@
 Package: python3-oslo.config
 Architecture: all
 Pre-Depends: dpkg (>= 1.15.6~)
-Depends: python3-six (>= 1.5.2), ${misc:Depends}, ${python3:Depends}
+Depends: python3-netaddr (>= 0.7.12),
+         python3-six (>= 1.5.2),
+         ${misc:Depends},
+         ${python3:Depends}
 Description: Common code for Openstack Projects (configuration API) - Python 3.x
  The OpenStack Oslo project provides Python libraries containing
  infrastructure code shared by OpenStack projects.
@@ -71,7 +82,7 @@
 Section: doc
 Architecture: all
 Pre-Depends: dpkg (>= 1.15.6~)
-Depends: ${sphinxdoc:Depends}, ${misc:Depends}
+Depends: ${misc:Depends}, ${sphinxdoc:Depends}
 Provides: python-oslo-config
 Description: Common code for Openstack Projects (configuration API) - doc
  The OpenStack Oslo project provides Python libraries containing

=== debian/rules ===
--- 
+++ 
@@ -20,11 +20,13 @@
 		python$$pyvers setup.py install --install-layout=deb \
 			--root $(CURDIR)/debian/python3-oslo.config; \
 	done
+	mv $(CURDIR)/debian/python-oslo.config/usr/bin/oslo-config-generator $(CURDIR)/debian/python-oslo.config/usr/bin/python2-oslo-config-generator
+	mv $(CURDIR)/debian/python3-oslo.config/usr/bin/oslo-config-generator $(CURDIR)/debian/python3-oslo.config/usr/bin/python3-oslo-config-generator
 
 override_dh_auto_test:
 ifeq (,$(findstring nocheck, $(DEB_BUILD_OPTIONS)))
 	set -e && set -x && \
-	for i in 2.7 $(PYTHON3S) ; do \
+	for i in 2.7  ; do \
 		echo "===> Testing for python$$i" ; \
 		rm -rf .testrepository ; \
 		testr init ; \

## oslo-config 1.9.3

=== requirements.txt ===
--- 
+++ 
@@ -2,7 +2,8 @@
 # of appearance. Changing the order has an impact on the overall integration
 # process, which may cause wedges in the gate later.
 
+pbr>=0.6,!=0.7,<1.0
 argparse
 netaddr>=0.7.12
-six>=1.7.0
-stevedore>=0.14
+six>=1.9.0
+stevedore>=1.1.0  # Apache-2.0

=== debian/changelog ===
oslo-config (1:1.9.3-2) unstable; urgency=medium

  * Made build reproducible, thanks to Juan Picca <jumapico@gmail.com>
    (Closes: #788479).

 -- Thomas Goirand <zigo@debian.org>  Fri, 12 Jun 2015 15:14:21 +0200

oslo-config (1:1.9.3-1) unstable; urgency=medium

  * New upstream release.
  * Uploading to unstable.
  * Fixed (build-)depends for this release.
  * Removed all patches (obsolete).
  * Standards-Version: 3.9.6.
  * Dropped the Provides: oslo-config.

 -- Thomas Goirand <zigo@debian.org>  Sat, 07 Feb 2015 20:29:26 +0100

oslo-config (1:1.4.0.0-2) experimental; urgency=medium

  * Added argparse to py3dist-overrides.

 -- Thomas Goirand <zigo@debian.org>  Sat, 18 Oct 2014 22:34:52 +0800

oslo-config (1:1.4.0.0-1) experimental; urgency=medium

  * New upstream release (really is 1.4.0).

 -- Thomas Goirand <zigo@debian.org>  Wed, 24 Sep 2014 02:15:48 +0000

oslo-config (1:1.4.0.0~a5-1) experimental; urgency=medium

  * New upstream release.
  * Added update-alternative for the oslo-config-generator binary.
  * Reviewed (build-)depends for this release.
  * Drops Fix test_version on Python 3.4 patch, applied upstream.
  * Added Build-Conflicts will all python{3,}-oslo.* packages.

 -- Thomas Goirand <zigo@debian.org>  Sat, 09 Aug 2014 00:51:02 +0800

=== debian/control ===
Source: oslo-config
Section: python
Priority: optional
Maintainer: PKG OpenStack <openstack-devel@lists.alioth.debian.org>
Uploaders: Julien Danjou <acid@debian.org>,
           Thomas Goirand <zigo@debian.org>,
           Ghe Rivero <ghe.rivero@stackops.com>,
           Mehdi Abaakouk <sileht@sileht.net>,
Build-Depends: debhelper (>= 9),
               dh-python,
               openstack-pkg-tools,
               python-all (>= 2.6.6-3~),
               python-pbr,
               python-sphinx,
               python3-all (>= 3.2),
               python3-pbr,
               python3-setuptools,
Build-Depends-Indep: python-coverage,
                     python-fixtures,
                     python-hacking,
                     python-mimeparse,
                     python-mock,
                     python-netaddr,
                     python-oslo.i18n (>= 1.3.0),
                     python-oslosphinx (>= 2.2.0.0),
                     python-oslotest (>= 1.2.0),
                     python-six (>= 1.9.0),
                     python-stevedore (>= 1.1.0),
                     python-testscenarios,
                     python-testtools,
                     python3-fixtures,
                     python3-mimeparse,
                     python3-mock,
                     python3-netaddr,
                     python3-oslo.i18n (>= 1.3.0),
                     python3-oslotest (>= 1.2.0),
                     python3-six (>= 1.9.0),
                     python3-stevedore (>= 1.1.0),
                     python3-subunit (>= 0.0.18),
                     python3-testscenarios,
                     python3-testtools,
                     subunit,
                     testrepository,
Standards-Version: 3.9.6
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=openstack/oslo-config.git
Vcs-Git: git://anonscm.debian.org/openstack/oslo-config.git
Homepage: https://github.com/openstack/oslo-incubator

Package: python-oslo.config
Architecture: all
Depends: python-netaddr,
         python-pbr,
         python-six (>= 1.9.0),
         python-stevedore (>= 1.1.0),
         ${misc:Depends},
         ${python:Depends},
Description: Common code for Openstack Projects (configuration API) - Python 2.x
 The OpenStack Oslo project provides Python libraries containing
 infrastructure code shared by OpenStack projects.
 .
 The OpenStack Oslo Configuration API supports parsing command line
 arguments and .ini style configuration files.
 .
 This package provides the Python 2.x module.

Package: python3-oslo.config
Architecture: all
Depends: python3-netaddr,
         python3-pbr,
         python3-six (>= 1.9.0),
         python3-stevedore (>= 1.1.0),
         ${misc:Depends},
         ${python3:Depends},
Description: Common code for Openstack Projects (configuration API) - Python 3.x
 The OpenStack Oslo project provides Python libraries containing
 infrastructure code shared by OpenStack projects.
 .
 The OpenStack Oslo Configuration API supports parsing command line
 arguments and .ini style configuration files.
 .
 This package provides the Python 3.x module.

Package: python-oslo.config-doc
Section: doc
Architecture: all
Pre-Depends: dpkg (>= 1.15.6~)
Depends: ${misc:Depends}, ${sphinxdoc:Depends}
Provides: python-oslo-config
Description: Common code for Openstack Projects (configuration API) - doc
 The OpenStack Oslo project provides Python libraries containing
 infrastructure code shared by OpenStack projects.
 .
 The OpenStack Oslo Configuration API supports parsing command line
 arguments and .ini style configuration files.
 .
 This package provides the documentation.

=== debian/rules ===
--- 
+++ 
@@ -4,6 +4,10 @@
 PYTHON3S:=$(shell py3versions -vr)
 
 UPSTREAM_GIT = git://github.com/openstack/oslo.config.git
+
+LAST_CHANGE = $(shell dpkg-parsechangelog -S Date)
+BUILD_DATE  = $(shell LC_ALL=C date -u "+%B %d, %Y" -d "$(LAST_CHANGE)")
+SPHINXOPTS := -D html_last_updated_fmt="$(BUILD_DATE)"
 
 include /usr/share/openstack-pkg-tools/pkgos.make
 export OSLO_PACKAGE_VERSION=$(VERSION)
@@ -26,12 +30,12 @@
 override_dh_auto_test:
 ifeq (,$(findstring nocheck, $(DEB_BUILD_OPTIONS)))
 	set -e && set -x && \
-	for i in 2.7  ; do \
+	for i in 2.7 $(PYTHON3S) ; do \
 		echo "===> Testing for python$$i" ; \
 		rm -rf .testrepository ; \
 		testr init ; \
 		TEMP_REZ=`mktemp -t` && \
-		PYTHON=python$$i PYTHONPATH=$(CURDIR) testr run --subunit | tee $$TEMP_REZ | subunit2pyunit ; \
+		PYTHON=python$$i PYTHONPATH=$(CURDIR) testr run --subunit 'oslo_config.*' | tee $$TEMP_REZ | subunit2pyunit ; \
 		cat $$TEMP_REZ | subunit-filter -s --no-passthrough | subunit-stats ; \
 		rm -f $$TEMP_REZ ; \
 		testr slowest ; \
@@ -40,7 +44,7 @@
 
 override_dh_sphinxdoc:
 ifeq (,$(findstring nodocs, $(DEB_BUILD_OPTIONS)))
-	sphinx-build -b html doc/source $(CURDIR)/debian/python-oslo.config-doc/usr/share/doc/python-oslo.config-doc/html
+	sphinx-build $(SPHINXOPTS) -b html doc/source $(CURDIR)/debian/python-oslo.config-doc/usr/share/doc/python-oslo.config-doc/html
 	dh_sphinxdoc -O--buildsystem=python_distutils
 endif

## oslo-config 2013.1~b3

=== debian/control ===
Source: oslo-config
Section: python
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
Build-Depends:
 debhelper (>= 8.0.0),
 python-all,
 python-fixtures,
 python-mox,
 python-nose,
 python-setuptools,
 python-sphinx,
 python-testtools
Standards-Version: 3.9.4

Package: python-oslo-config
Architecture: all
Depends: ${misc:Depends}, ${python:Depends}
Description: OpenStack Oslo Configuration API
 The OpenStack Oslo project provides Python libraries containing
 instructure code shared by OpenStack projects.
 .
 The OpenStack Oslo Configuration API supports parsing command line
 arguments and .init style configuration files.

=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

%:
	dh $@  --with python2

override_dh_auto_test:
	nosetests


get-orig-source:
	uscan --verbose --rename --destdir=../build-area

=== debian/watch ===
version=3
opts="uversionmangle=s/([a-zA-Z])/~$1/" \
 http://tarballs.openstack.org/oslo-config/ oslo-config-(\d.*).tar.gz
